LMAccess.LOCALGROUP_INFO_1 (JNA API)

com.sun.jna.platform.win32

## Class LMAccess.LOCALGROUP_INFO_1

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.LMAccess.LOCALGROUP_INFO_1

- Enclosing interface:
    LMAccess

      @Structure.FieldOrder(value={"lgrui1_name","lgrui1_comment"})
      public static class LMAccess.LOCALGROUP_INFO_1
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `lgrui1_comment`
    `java.lang.String` | `lgrui1_name`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LOCALGROUP_INFO_1()`
    `LOCALGROUP_INFO_1(Pointer memory)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### lgrui1_name

          public java.lang.String lgrui1_name

    - #### lgrui1_comment

          public java.lang.String lgrui1_comment

  - ### Constructor Detail

    - #### LOCALGROUP_INFO_1

          public LOCALGROUP_INFO_1()

    - #### LOCALGROUP_INFO_1

          public LOCALGROUP_INFO_1(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.